Post
/api/v1/livechat/department/{_id}/unarchive
Use this endpoint to unarchive a department. The department returns to the list of departments, but it stays disabled because archiving a department also disables it. To enable the department again, use the Update Department endpoint and set enabled to true.
Permission required: manage-livechat-departments
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Path parameters
_id
stringRequired
Enter the department ID that you want to unarchive.
Example693fc4b0ddfe6ceaf280f7f6
Responses
200
OK
Success
{
"success": true
}object
success
boolean
400
Bad Request
Department Not Found
{
"success": false,
"error": "[department-not-found]",
"errorType": "department-not-found"
}object
success
boolean
error
string
errorType
string
401
Unauthorized
Authorization Error
{
"status": "error",
"message": "You must be logged in to do this."
}object
status
string
message
string
403
Forbidden
Permission Error
{
"success": false,
"error": "User does not have the permissions required for this action [error-unauthorized]"
}Unauthorized
{
"success": false,
"error": "unauthorized"
}object
success
boolean
error
string